%global momorel 2

%global srcver v1_6_5

Summary: Portable Windows Libary
Name: pwlib
Version: 1.6.5
Release: %{momorel}m
URL: http://www.openh323.org/
%NoSource 0 http://www.gnomemeeting.org/admin/downloads/latest/sources/sources/%{name}-%{srcver}-src.tar.gz acfbcfb87ca9a92ac54c0fb01c55c4b3
License: MPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch6:		pwlib-1.4.7-noipv6.patch
Patch7:		unix.mak.patch
Patch8:		pwlib-1.6.3-libname.patch
Patch9:		pwlib-1.6.3-make_j.patch
Patch10:	pwlib-1.4.7-bison.patch
BuildPrereq:	expat, openssl-devel, pkgconfig, esound
BuildRequires: libdv-devel libraw1394-devel libavc1394-devel alsa-lib
Requires: libdv libraw1394 libavc1394 alsa-lib

%description
PWLib is a moderately large class library that has its genesis many
years ago as a method to produce applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventuated. This version does not contain
any UI code.

It is supplied mainly to support the open H323 project, but that shouldn't stop
you from using it in whatever project you have in mind if you so desire. 

%package devel
Summary: Development package for pwlib
Group: Development/Libraries
Requires: pwlib = %{version}-%{release}

%description devel
The pwlib-devel package includes the libraries and header files for pwlib.

%prep
#'
%setup -q -n pwlib
%patch8 -p1 -b .libname
%patch9 -p1 -b .make_j
%patch10 -p1 -b .bison
mv src/ptlib/common/regex{,.dontuse}

%build
autoconf
./configure --prefix=%{_prefix} --libdir=%{_libdir}  --enable-plugins
make OPTCCFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}

make PREFIX=%{buildroot}%{_prefix} LIBDIR=%{buildroot}%{_libdir} install

rm -rf %{buildroot}%{_includedir}/CVS
rm -rf %{buildroot}%{_includedir}/ptclib/CVS
rm -rf %{buildroot}%{_includedir}/ptlib/CVS
rm -rf %{buildroot}%{_includedir}/ptlib/unix/CVS
rm -rf %{buildroot}%{_includedir}/ptlib/unix/ptlib/CVS
rm -rf %{buildroot}%{_datadir}/pwlib/make/CVS

#perl -pi -e 's@PWLIBDIR.*=.*@PWLIBDIR = /usr/share/pwlib@' %{buildroot}%{_datadir}/pwlib/make/ptbuildopts.mak

cd make
for l in *.mak ; do
        sed -e 's#@prefix@#%{_prefix}#' \
            -e 's#@makdir@#%{_datadir}/pwlib#' \
                < $l > %{buildroot}%{_datadir}/%{name}/make/$l
done
pushd %{buildroot}%{_datadir}/%{name}/make
patch -p1 < %{PATCH7}
popd

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.6.5-2m)
- rebuild against libdv-0.102

* Sun Apr 25 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.6.5-1m)
- update to 1.6.5

* Sat Mar  6 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.6.3-1m)
- update to 1.6.3
- sync with Fedora Core pwlib-1.6.3-2.src.rpm

* Thu Mar  6 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.4.10-3m)
  rebuild against openssl 0.9.7a

* Wed Feb 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.4.10-2m)
- modify makefile.

* Wed Feb 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.4.10-1m)
- version 1.4.10

* Thu Feb  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.4.9-1m)
- version 1.4.9

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-3
- pwlib-1.4.7-noipv6.patch: Disable ipv6 check, damien claims it's unstable.

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-2
- Oops. deleted a bit much from the specfile

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-1
- Update to 1.4.7

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.3.11-2
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- Use pkg-config to find OpenSSL if pkg-config admits to knowing anything.

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.3.11-1
- Upgrade to 1.3.11
- Remove pwlib-alpha patch. I don't think it's necessary anymore.
- fix %doc

* Fri Aug 30 2002 Alexander Larsson <alexl@redhat.com> 1.3.3-5
- Use %{_libdir} etc instead of hardcoding 

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 1.3.3-3
- rebuilt using gcc-3.2-0.1

* Fri Jul 19 2002 Jakub Jelinek <jakub@redhat.com> 1.3.3-2
- Use glibc regex (and at the same time get rid of non-fpic code)

* Thu Jul 11 2002 Alexander Larsson <alexl@redhat.com> 1.3.3-1
- Update to 1.3.3

* Mon Jul  1 2002 Alexander Larsson <alexl@redhat.com> 1.3.1-1
- Update to 1.3.1

* Fri Mar 22 2002 Alex Larsson <alexl@redhat.com>
- Added versioned dependency in the devel package
- Fixed line-to-long error in description

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com>
- Add the video patch from damien needed for GM 0.85.1

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.2.12

* Thu Nov 29 2001 Alex Larsson <alexl@redhat.com> 1.2.5-1
- Updated to 1.2.5

* Mon Oct 01 2001 Alex Larsson <alexl@redhat.com> 1.1.36-4
- Added defattr

* Wed Sep 28 2001 Alex Larsson <alexl@redhat.com> 1.1.36-3
- made the devel package require the binary package

* Wed Sep 19 2001 Alex Larsson <alexl@redhat.com> 1.1.36-2
- Added new patch from damien

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.1.36-1
- Upgraded to 1.1.36

* Wed Jul  4 2001 Elliot Lee <sopwith@redhat.com>
- Patch asnparser makefile so 'make -j...' works completely.

* Wed Jul  4 2001 Alexander Larsson <alexl@redhat.com>
- Borrow some stuff from the Mandrake specfile

* Wed Jul  4 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.

%files
%defattr(-,root,root)
%doc History.txt ReadMe.txt mpl-1.0.htm
%defattr(-,root,root)
%{_libdir}/libpt*.so.*
%{_libdir}/pwlib/device/sound/oss.so
%{_libdir}/pwlib/device/sound/alsa.so
%{_libdir}/pwlib/device/videoinput/v4l.so
%{_libdir}/pwlib/device/videoinput/avc.so

%files devel
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/*
%{_libdir}/libpt*.so
%{_datadir}/pwlib
%{_includedir}/*
